

body{
  position: relative;
  &::-webkit-scrollbar-track{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
  }
  &::-webkit-scrollbar{
    width: 12px;
	  background-color: #F5F5F5;
  }
  &::-webkit-scrollbar-thumb{
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #074263;
  }
}


.header{
  position: fixed;
  z-index: 99999;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0%);
  &.active{
    //background: rgba(250, 250, 250, 30%);
    box-shadow: 0px 2px 13px rgb(0 0 0 / 20%);
  }
}

.hero-section{
  display: flex;
  align-items: center;
  min-height: 100vh;
  text-align: center;
  background: #1a1a1a;
  color: #fff;
  position: relative;
  z-index: 1;
  &__content{
    padding: 0;
    margin: 0;
    list-style-type: none;
    text-align: left;
    li{
      font-size: 140px;
      font-weight: 700;
      line-height: 1;
      margin-bottom: 15px;
      color: #333;
      &:last-child{
        margin-bottom: 0;
      }
      @media (max-width: 1500px) {
        font-size: 90px;
      }
    }
  }
}

.bg-visual {
  margin: 0;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
  img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
  }
  .hero-video{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
  }
}

.menu-wrapper{
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
  transition: all 0.3s ease;
  transform: translateY(-1000px);
  &::before{
    content: "";
    position: absolute;
    background-color: rgba(0, 0, 0, 95%);
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: -1;
  }
  ul{
    padding: 0;
    margin: 0;
    list-style-type: none;
    li{
      text-align: center;
      margin-bottom: 12px;
      a{
        text-align: center;
        border-bottom: none;
        font-size: 28px;
        transition: all .3s ease-in-out;
        color: rgba(255,255,255,0.6);
        text-decoration: none;
        &:hover{
          color: #fff;
        }
      }
      &:last-child{
        margin-bottom: 0;
      }
    }
  }
  &.active{
    transform: translateY(0);
  }
}



.header-inner{
  position: relative;
  padding-top: 25px;
  padding-bottom: 25px;
  figure{
    margin: 0;
  }
}

.scroll-down {
  position: absolute;
  width: 66px;
  height: 66px;
  left: 50%;
  bottom: 55px;
  transform: translate(-50%, 0);
  border: 1px solid #fff;
  border-radius: 50%;
  z-index: 20;
  background-repeat: no-repeat;
  background-position-x: 48%;
  background-position-y: 50%;
  color: transparent;
  
}

.hero_section{
  height: 100vh;
}


.hamburger{
  position: absolute;
  top: 50%;
  right: 0;
  transform: translate(-50%, -50%);
  width: 80px;
  height: 80px;
  cursor: pointer;
  z-index: 999999;
  &.active .burger{
    background: rgba(0,0,0,0);
    box-shadow: 0 2px 5px rgba(0,0,0,0);
    &::before{
      top: 0;
      transform: rotate(45deg);
      background: #fff;
    }
    &::after{
      top: 0;
      transform: rotate(135deg);
      background: #fff;
    }
  }
}
  
.burger{
  width: 30px;
  height: 4px;
  background: #333;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  box-shadow: 0 2px 5px rgba(0,0,0,.2);
  transition: .5s;
  &::before, &::after{
    content: '';
    position: absolute;
    width: 30px;
    height: 4px;
    background: #333;
    box-shadow: 0 2px 5px rgba(0,0,0,.2);
    transition: .5s;
  }
  &::before{
    top: -11px;
  }
  &::after{
    top: 11px;
  }
    
}

//About Description

.about-description{
  padding-top: 60px;
  padding-bottom: 60px;
  h2{
    font-size: 20px;
    text-transform: uppercase;
    color: #666666;
    font-weight: 300;
    margin: 0;
  }
  p{
    margin: 0;
    font-size: 68px;
    line-height: 1.1;
  }
}

//Services

.services{
  padding-top: 120px;
  padding-bottom: 120px;
  background-color: #000000;
  &-content{
    h2{
      text-align: right;
      color: #ffffff;
      font-size: 25px;
      font-weight: 100;
    }
    .service-list{
      padding: 0;
      margin: 0;
      list-style-type: none;
      li{
        color: #ffffff;
        font-size: 78px;
        line-height: 1.2;
        text-align: right;
      }
    }
  }
}


//Brands

.brands{
  padding-top: 80px;
  padding-bottom: 80px;
  &-title{
    color: #000000;
    text-align: center;
    margin-bottom: 20px;
    font-size: 30px;
  }
  .swiper-wrapper{
    .swiper-button-next:after, .swiper-button-prev:after{
      color: #000000!important;
    }
  }
}

//Parallax

.parallax{
  position: relative;
  height: 550px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  overflow: hidden;
  &::before{
    content: "";
    position:absolute;
    width:102%;
    height:80px;
    background:#fff;
    bottom:-45px;
    left:-1%;
    border-radius:50%;
  }
  &::after{
    content: "";
    position:absolute;
    width:102%;
    height:80px;
    background:#fff;
    top:-45px;
    left:-1%;
    border-radius:50%;
  }
}

//Slogan

.slogan{
  &--title{
    font-size: 130px;
  }
}

//Resone

.resone-section{
  h2{
    font-size: 20px;
    text-transform: uppercase;
    color: #666666;
    font-weight: 300;
    margin: 0;
  }
  p{
    margin: 0;
    font-size: 68px;
    line-height: 1.1;
    padding-bottom: 70px;
    &:last-child{
      padding-bottom: 0;
    }
  }
}

//Call Action

.call-action{
  position: relative;
  height: 550px;
  display: flex;
  justify-content: center;
  text-align: center;
  .container{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .call-action-content{
    h2{
      font-size: 100px;
      line-height: 1.3;
      width: 733px;
    }
  }
}

//Projects

.padding-block {
  display: flex;
  text-align: center;
  font-size: 5vmax;
  justify-content: center;
  align-items: center;
  background-color: #efefef;
  color: #333;
}

.scroll-carousel {
  background-color: #fff;
}

.sticky-box {
  position: sticky;
  top: 0;
  overflow: hidden;
}

.transform-box {
  display: flex;
  will-change: transform;
}

.box {
  flex-shrink: 0;
  width: 70rem;
  height: 100vh;
}

.img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.projects{
  height: 100vh;
  background-color: #f66;
  display: flex;
  justify-content: center;
  align-items: center;
}
  
.project-item{
  width: 900px;
  margin: 0 auto;
  span{
    font-size: 25px;
    color: #ffffff;
    text-transform: uppercase;
  }
  h2{
    font-size: 90px;
    color: #ffffff;
    line-height: 1;
    margin-bottom: 25px;
    margin-top: 10px;
  }
  p{
    font-size: 25px;
    color: #ffffff;
  }
}


//Footer

.footer{
  padding-top: 80px;
  padding-bottom: 80px;
  .footer-menu{
    padding: 0;
    margin: 0;
    list-style-type: none;
    display: flex;
    justify-content: center;
    li{
      margin-right: 30px;
      a{
        font-size: 22px;
        color: #000000!important;
        text-transform: uppercase;
        text-decoration: none;
      }
      &:last-child{
        margin-right: 0;
      }
    }
  }
}

